> For the complete documentation index, see [llms.txt](https://docs.microreact.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.microreact.org/instructions/creating-a-microreact-project/supported-file-formats.md).

# Supported File Formats

### Required Files

Only a **data file** is required for creating projects. All other files are optional.

### Data / Metadata File Formats

* [Comma-separated values ](https://en.wikipedia.org/wiki/Comma-separated_values)(`.csv`)
* [Tab-separated values](https://en.wikipedia.org/wiki/Tab-separated_values) (`.tsv`)
* Microsoft [Excel Office Open XML](https://en.wikipedia.org/wiki/Office_Open_XML) (`.xlsx`) or [Excel Spreadsheet](https://en.wikipedia.org/wiki/Microsoft_Excel#File_formats) (`.xls`)
* [OpenDocument Spreadsheet](https://en.wikipedia.org/wiki/OpenDocument) (`.ods`)
* [dBase database](https://en.wikipedia.org/wiki/.dbf) (`.dbf`)
* Google Sheets (learn [how to link Microreact to GoogleSheets](/instructions/tips-and-faq/link-microreact-projects-to-google-sheets.md))

Note that .txt is not a supported file type. .txt files must be converted to a supported file type before upload. (TIP: In some cases, this is as simple as changing the extension on your file.)

### Tree File Formats

* [Newick format](https://en.wikipedia.org/wiki/Newick_format) (`.nwk`, `.newick`, `.tre`, `.nhx`, `.tree`, or `.treefile`)
* [Nexus format](https://en.wikipedia.org/wiki/Nexus_file) (`.nex` or `.nexus`)

### Network File Formats

* [DOT graph description language](https://en.wikipedia.org/wiki/DOT_\(graph_description_language\)) (`.dot`, `.gv`)

### Geographical Features

* [GeoJSON](https://en.wikipedia.org/wiki/GeoJSON) (`.geojson` or `.geo.json`)

### .microreact files

* [A previously saved microreact project](/instructions/saving-and-sharing-projects.md) (`.microreact`)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.microreact.org/instructions/creating-a-microreact-project/supported-file-formats.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
